

CREATE TABLE ROI_ANALYSIS_RUN (
	ID long NOT NULL DEFAULT '(NEXT VALUE FOR PUBLIC.SYSTEM_SEQUENCE_ABBDE1DC_5EA3_4288_BAC7_02536EDD204C)',
	SCENARIO_ID long,
	HOST_ID long,
	RUN_START timestamp,
	RUN_STOP timestamp,
	ERROR_STATUS varchar(256),
	RESULT_VALUE long,
	SEVERITY integer,
	SEV_IMAGE varchar(256),
	RECOMMENDATION_NAME varchar(256)
);


CREATE TABLE ROI_ANALYSIS_RUN_DETAIL (
	ID long NOT NULL DEFAULT '(NEXT VALUE FOR PUBLIC.SYSTEM_SEQUENCE_EC2B2BB0_381F_4610_BD83_FF4C4CF69B27)',
	RUN_ID long,
	REC_TYPE varchar(1),
	METRIC_NAME varchar(256),
	ATTR_NAME varchar(256),
	ATTR_VALUE varchar(256)
);

CREATE TABLE ROI_SCENARIO_DETAIL (
	ID long NOT NULL DEFAULT '(NEXT VALUE FOR PUBLIC.SYSTEM_SEQUENCE_8978AFFC_7E70_4B17_8107_AD0A6BD5DCCE)',
	SCENARIO_ID long,
	REC_TYPE varchar(1),
	METRIC_NAME varchar(256),
	ATTR_NAME varchar(256),
	ATTR_VALUE varchar(256)
);

CREATE TABLE ROI_SCENARIO_LOCALE (
	ID long NOT NULL,
	LOCALE varchar(64) NOT NULL,
	METADATA_LABEL varchar(64),
	SUBTYPE varchar(256),
	PROPERTY_NAME varchar(256),
	PROPERTY_VALUE varchar(1024)
);
CREATE TABLE ROI_SCENARIO_ZOOMS (
	ID long NOT NULL DEFAULT '(NEXT VALUE FOR PUBLIC.SYSTEM_SEQUENCE_7321016A_B42B_4758_AA12_67AB88B6589E)',
	SCENARIO_ID long,
	FROM_VDB_OBJ_1 varchar(64),
	FROM_VDB_OBJ_2 varchar(64),
	FROM_VDB_OBJ_3 varchar(64),
	FROM_VDB_OBJ_4 varchar(64),
	WHERE_VDB_OBJ_1 varchar(64),
	WHERE_VDB_OBJ_2 varchar(64),
	WHERE_VDB_OBJ_3 varchar(64),
	WHERE_VDB_OBJ_4 varchar(64)
);


CREATE TABLE ROI_HOST (
	ID long NOT NULL DEFAULT '(NEXT VALUE FOR PUBLIC.SYSTEM_SEQUENCE_1B5608A9_D209_4F7D_BDBE_AD0801ED0B04)',
	INTERNAL_ID varchar(256),
	UI_TITLE varchar(256),
	MH_TYPE varchar(256)
);
CREATE TABLE ROI_CATEGORY (
	ID long NOT NULL DEFAULT '(NEXT VALUE FOR PUBLIC.SYSTEM_SEQUENCE_931DE0FC_94D8_48DC_8B30_1C8639741351)',
	CATEGORY_ID varchar(256),
	VISIBLE_NAME_LOC varchar(256),
	VISIBLE_NAME_LOC_ID long,
	DESCRIPTION_LOC varchar(256),
	DESCRIPTION_LOC_ID long
);

CREATE TABLE ROI_SCENARIO (
	ID long NOT NULL DEFAULT '(NEXT VALUE FOR PUBLIC.SYSTEM_SEQUENCE_61AAEF29_6C36_42CA_97B3_F904DCFFB3A0)',
	SCENARIO_HASH varchar(64),
	SCENARIO_ID varchar(256),
	VISIBLE_NAME_LOC varchar(256),
	DESCRIPTION_LOC varchar(256),
	CATEGORY long,
	SCENARIO_TYPE varchar(32),
	RES_TYPE varchar(256)
);

CREATE TABLE ROI_ANALYSIS_RUN_RESULT (
	ID long NOT NULL DEFAULT '(NEXT VALUE FOR PUBLIC.SYSTEM_SEQUENCE_C77CBD2C_DCF7_4F5D_AB44_07E3ACC30EC9)',
	VARIABLE_NAME varchar(256),
	DISP_ATTR varchar(256)
);

CREATE TABLE ROI_SCENARIO_VARIABLE (
	ID long NOT NULL,
	SEQUENCE integer NOT NULL,
	VAR_VALUE float
);
